// Print indices of some interesting sysconf values.
// Reference /usr/include/bits/confname.h
//
// Output on a typical Linux box:
//
//    #(
//      ( _SC_NPROCESSORS_ONLN   84 )
//      ( _SC_NPROCESSORS_CONF  83 )
//      ( _SC_ARG_MAX  0 )
//      ( _SC_CHILD_MAX  1 )
//      ( _SC_OPEN_MAX  4 )
//      ( _SC_STREAM_MAX  5 )
//      ( _SC_PHYS_PAGES  85 )
//    )
//
#include <stdio.h>
#include <unistd.h>
#define P(SYM, MACRO) (printf("  ( %s %d )\n", SYM, MACRO));
int main() {
    printf("#(\n");
    P("_SC_NPROCESSORS_ONLN  ", _SC_NPROCESSORS_ONLN  );
    P("_SC_NPROCESSORS_CONF ", _SC_NPROCESSORS_CONF );
    P("_SC_ARG_MAX ", _SC_ARG_MAX );
    P("_SC_CHILD_MAX ", _SC_CHILD_MAX );
    P("_SC_OPEN_MAX ", _SC_OPEN_MAX );
    P("_SC_STREAM_MAX ", _SC_STREAM_MAX );
    P("_SC_PHYS_PAGES ", _SC_PHYS_PAGES );
    printf(")\n");
}

